{
  "name": "agua-backend",
  "version": "1.0.0",
  "description": "Api-rest for AGUA",
  "main": "main.js",
  "dockerImage": "docker.io/aguaoss/backend",
  "dockerImageCheckTx": "docker.io/aguaoss/checktx",
  "scripts": {
    "lint": "eslint src/**/*.js",
    "lint:contracts": "npm run solhint:contracts && npm run prettier-check:contracts",
    "solhint:contracts": "solhint --config .solhint.json --max-warnings 0 \"src/contracts/**/*.sol\"",
    "prettier-check:contracts": "prettier --config .prettierrc.json --check \"**/*.sol\"",
    "prettier:contracts": "prettier --config .prettierrc.json --write \"**/*.sol\"",
    "lint-fix": "eslint --fix src/**/*.js",
    "test": "export NODE_ENV=test && hardhat clean && npx hardhat compile && jest --silent --runInBand",
    "test:win": "set NODE_ENV=test && hardhat clean && npx hardhat compile && jest --silent --runInBand",
    "test:e2e": "cd e2e-test && node index.js",
    "test:contracts": "export NODE_ENV=test && hardhat test-contracts",
    "test:contracts:win": "set NODE_ENV=test && hardhat test-contracts",
    "coverage:contracts": "hardhat coverage --solcoverjs ./.solcover.js --temp artifacts --testfiles \"./src/test/**/*.ts\" --network hardhat && coveralls < coverage/lcov.info",
    "test:coverage": "npm test -- --coverage && coveralls < src/coverage/lcov.info",
    "start": "export NODE_ENV=development && node index",
    "start:win": "set NODE_ENV=development && node index",
    "start:checktx:win": "set NODE_ENV=development && node indexCheckTransaction",
    "testnet:start": "export NODE_ENV=testnet && node index",
    "testnet:start:win": "set NODE_ENV=testnet && node index",
    "prod": "export NODE_ENV=production && node index",
    "staging": "export NODE_ENV=staging && node index",
    "testing": "npm run migrate && npm run prod",
    "get-flyway": "./get_flyway.sh",
    "migrate": "flyway -configFiles=flyway.conf -locations=filesystem:db/migrations migrate",
    "clean": "flyway -configFiles=flyway.conf -locations=filesystem:db/migrations clean",
    "contracts-coverage": "SOLIDITY_COVERAGE=true scripts/test.sh",
    "node": "hardhat node",
    "deploy": "hardhat deploy",
    "build": "hardhat compile",
    "index": "node index",
    "check-balances": "hardhat check-balances",
    "build-backend-local": "sudo docker build . -t agua_backend_local",
    "build-frontend-local": "cd ../frontend && sudo docker build . -t agua_frontend_local",
    "recreate-frontend": "npm run build-frontend-local && npm run restart-frontend",
    "recreate-backend": "npm run build-backend-local && npm run restart-backend",
    "restart-frontend": "./scripts/local_compose.sh rm -s frontend && ./scripts/local_compose.sh up -d --no-deps frontend",
    "restart-backend": "./scripts/local_compose.sh rm -s backend && ./scripts/local_compose.sh up -d --no-deps backend",
    "start-whole-stack-local": "npm run build-backend-local && npm run build-frontend-local && ./scripts/local_compose.sh up",
    "clean-whole-stack-local": "./scripts/local_compose.sh down -v && rm -rf ./deployments/local",
    "docker:build": "docker build -t $npm_package_dockerImage:$npm_package_version-$CI_COMMIT_SHORT_SHA .",
    "docker:push": "docker push $npm_package_dockerImage:$npm_package_version-$CI_COMMIT_SHORT_SHA",
    "docker:build:checktx": "docker build -t $npm_package_dockerImageCheckTx:$npm_package_version-$CI_COMMIT_SHORT_SHA -f Dockerfile.checkTX .",
    "docker:push:checktx": "docker push $npm_package_dockerImageCheckTx:$npm_package_version-$CI_COMMIT_SHORT_SHA",
    "whitelist": "node scripts/whiteListMigration.js",
    "dev": "export NODE_ENV=development && nodemon index",
    "dev:win": "set NODE_ENV=development && nodemon index",
    "jwt:generate": "node ./scripts/tokenGenerate.js"
  },
  "author": "Atix Labs S.R.L",
  "license": "ISC",
  "//": {
    "1": "TODO: fix forked lib problems",
    "2": "Should add this dependency if you want to deploy contracts to RSK",
    "3": "\"@ethersproject/providers\": \"git+https://github.com/atixlabs/ethers-providers.git#v5.0.19\"",
    "4": "If you want to remove this dep, please run npx hardhat clean and delete node_modules/ and package-lock.json"
  },
  "dependencies": {
    "@ethersproject/bignumber": "5.0.15",
    "@ethersproject/logger": "5.0.6",
    "@nomiclabs/hardhat-web3": "2.0.0",
    "@openzeppelin/contracts": "4.5.0",
    "@openzeppelin/contracts-upgradeable": "4.5.0",
    "@openzeppelin/network": "0.4.3",
    "@pinata/sdk": "2.1.0",
    "@sendgrid/mail": "6.5.4",
    "@truffle/hdwallet-provider": "1.2.1",
    "axios": "0.21.1",
    "bcrypt": "5.0.0",
    "bignumber.js": "9.1.0",
    "blueimp-md5": "2.12.0",
    "bunyan": "1.8.12",
    "bunyan-format": "0.2.1",
    "commitizen": "4.2.3",
    "config": "3.1.0",
    "cron": "1.8.2",
    "csv-parse": "^5.5.2",
    "dotenv": "8.2.0",
    "elliptic": "6.5.3",
    "ethereumjs-tx": "2.1.2",
    "ethers": "5.0.19",
    "fast-water": "1.0.2",
    "fastify": "1.14.1",
    "fastify-cookie": "2.1.2",
    "fastify-cors": "1.0.1",
    "fastify-env": "0.6.2",
    "fastify-file-upload": "1.0.0",
    "fastify-jwt": "0.10.0",
    "fastify-plugin": "4.3.0",
    "fastify-static": "1.1.0",
    "fastify-swagger": "1.2.0",
    "hardhat": "2.8.4",
    "http-status": "1.5.3",
    "jest-fetch-mock": "3.0.3",
    "joi": "^17.11.0",
    "lodash": "4.17.20",
    "md5-file": "4.0.0",
    "mjml": "4.13.0",
    "mkdirp": "2.1.3",
    "moment": "2.24.0",
    "mustache": "4.0.0",
    "node-fetch": "^2.7.0",
    "nodemailer": "6.1.1",
    "pg": "8.8.0",
    "sails-postgresql": "^4.0.0",
    "sha256": "0.2.0",
    "sharp": "0.27.0",
    "uuid": "8.3.2",
    "web3": "1.3.5",
    "websocket": "1.0.33",
    "xlsx": "0.14.1"
  },
  "devDependencies": {
    "@commitlint/cli": "12.0.0",
    "@commitlint/config-conventional": "12.0.0",
    "@nomiclabs/hardhat-ethers": "2.1.1",
    "@nomiclabs/hardhat-solhint": "2.0.1",
    "@openzeppelin/hardhat-upgrades": "1.3.0",
    "@openzeppelin/upgrades-core": "1.3.1",
    "babel-eslint": "10.0.1",
    "chai": "4.2.0",
    "commitlint": "11.0.0",
    "coveralls": "^3.1.1",
    "eslint": "5.14.1",
    "eslint-config-airbnb": "17.1.0",
    "eslint-config-airbnb-base": "13.2.0",
    "eslint-config-prettier": "4.0.0",
    "eslint-plugin-flowtype": "3.4.2",
    "eslint-plugin-import": "2.16.0",
    "eslint-plugin-jsx-a11y": "6.2.1",
    "eslint-plugin-prettier": "3.0.1",
    "eslint-plugin-promise": "4.0.1",
    "eslint-plugin-react": "7.12.4",
    "ethereum-waffle": "3.3.0",
    "husky": "4.2.3",
    "jest": "24.1.0",
    "lint-staged": "10.0.8",
    "nodemon": "^2.0.15",
    "prettier": "1.16.4",
    "prettier-plugin-solidity": "1.0.0-beta.11",
    "solhint": "3.3.7",
    "solhint-plugin-prettier": "0.0.5",
    "solidity-ast": "0.4.20",
    "solidity-coverage": "0.7.12",
    "ws": "7.3.1"
  },
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS"
    }
  },
  "lint-staged": {
    "**/*.js": [
      "./node_modules/.bin/eslint --fix"
    ],
    "**/*.md{,x}": [
      "prettier --check"
    ]
  }
}
